{
  "entryPagePath": "pages/map/map",
  "pages": [
    {
      "path": "pages/map/map",
      "style": {
        "disableScroll": true
      }
    },
    {
      "path": "pages/list/list"
    },
    {
      "path": "pages/user/user"
    },
    {
      "path": "pages/index/index"
    }
  ],
  "subPackages": [
    {
      "root": "pages-charge",
      "pages": [
        {
          "path": "machines/machines",
          "style": {
            "navigationBarTitleText": "",
            "navigationStyle": "default",
            "navigationBarBackgroundColor": "#F5F5F5"
          }
        },
        {
          "path": "codeing/codeing",
          "style": {
            "navigationBarTitleText": "编码充电",
            "navigationStyle": "default"
          }
        },
        {
          "path": "order/order",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "充电费用"
          }
        },
        {
          "path": "ordering/ordering",
          "style": {
            "navigationBarTitleText": "充电",
            "navigationStyle": "default",
            "disableScroll": true
          }
        },
        {
          "path": "orders/orders",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "充电订单",
            "enablePullDownRefresh": true
          }
        },
        {
          "path": "search/search"
        },
        {
          "path": "appointment/appointment",
          "style": {
            "navigationBarTitleText": "预约充电",
            "navigationStyle": "default",
            "navigationBarBackgroundColor": "#F6F7FA"
          }
        },
        {
          "path": "camera/camera",
          "style": {
            "navigationBarTextStyle": "white",
            "disableScroll": true
          }
        }
      ]
    },
    {
      "root": "pages-user",
      "pages": [
        {
          "path": "collect/collect",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "我的收藏",
            "navigationBarBackgroundColor": "#F5F5F5"
          }
        },
        {
          "path": "profile/profile",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "个人信息"
          }
        },
        {
          "path": "profile-edit/profile-edit",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "wallet/wallet",
          "style": {
            "enablePullDownRefresh": true
          }
        },
        {
          "path": "wallet-refund/wallet-refund",
          "style": {
            "disableScroll": true
          }
        },
        {
          "path": "wallet-recharge/wallet-recharge",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "我的钱包",
            "enablePullDownRefresh": true
          }
        }
      ]
    },
    {
      "root": "pages-common",
      "pages": [
        {
          "path": "contact/contact",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "联系我们",
            "navigationBarBackgroundColor": "#ffffff"
          }
        },
        {
          "path": "invoice/invoice",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "发票详情",
            "navigationBarBackgroundColor": "#F6F7FA"
          }
        },
        {
          "path": "activity/activity",
          "style": {
            "navigationStyle": "default",
            "navigationBarTitleText": "",
            "navigationBarBackgroundColor": "#ffffff"
          }
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/map/map": {
      "network": "all",
      "packages": ["pages-charge"]
    }
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#ffffff",
    "backgroundColor": "#ffffff",
    "navigationStyle": "custom",
    "usingComponents": {
      "navigation-bar": "./wxcomponents/navigation-bar/index"
    }
  },
  "easycom": {
    "autoscan": true
  },
  "tabBar": {
    "custom": true,
    "list": [
      {
        "pagePath": "pages/map/map"
      },
      {
        "pagePath": "pages/user/user"
      }
    ]
  }
}
